Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class TieAccessControlListIndexService

    java.lang.Object
      oracle.ifs.server.AccessControlListIndexService
          oracle.ifs.server.TieAccessControlListIndexService

All Implemented Interfaces:
  SubService

    public class TieAccessControlListIndexService

extends AccessControlListIndexService

TieAccessControlListIndexService allows the Oracle-defined behavior of the AccessControlListIndexService class to be extended or overridden.

See Also:
  `AccessControlListIndexService`
(Published)

Field Summary

Fields inherited from class oracle.ifs.server.AccessControlListIndexService
`DEFERRED_ACL_RESOLUTION_SEQ_NAME, DEFERRED_ACL_RESOLUTION_TABLE_NAME, m_AclDiscoverAccessService, m_AclProxyService, m_AclResolutionSynchronous, m_GroupIndexPropertyBundleClassId, m_GroupIndexPropertyBundleId, m_GroupIndexService, m_Service, PARAM_TABLE_NAME, PARAMETER_KEY_MAP_UPDATE_MODE, PARAMETER_KEY_MAXLEVEL, PARAMETER_VALUE_MAP_UPDATE_MODE_ASYNC, PARAMETER_VALUE_MAP_UPDATE_MODE_SYNC, REPOS_PARAM_RESOLUTIONMODE_KEY, REPOS_PARAM_RESOLUTIONMODE_VALUE_ASYNC, REPOS_PARAM_RESOLUTIONMODE_VALUE_SYNC, STATEMENT_DELETE_DEFERRED_RESOLUTION_ROW, STATEMENT_INSERT_DEFERRED_RESOLUTION_ROW, STATEMENT_SELECT_DEFERRED_RESOLUTION_ROWS`

Constructor Summary
`protected` | `TieAccessControlListIndexService(S_LibraryService service)` Constructs a TieAccessControlListIndexService.

Method Summary

Methods inherited from class oracle.ifs.server.AccessControlListIndexService
`addToGroup, applyDeferredUpdate, changeUpdateMode, constructPreparedStatement, createDeferredUpdate, deleteDeferredUpdate, deleteDeferredUpdates, dispose, getAccessControlListDiscoverAccessService, getAccessControlListProxyService, getDirectoryGroupIndexService, getGroupIndexPropertyBundleClassId, getGroupIndexPropertyBundleId, getGroupIndexPropertyBundleIds, getPreparedStatement, init, isAclResolutionSynchronous, postEvent, registerNewDirectoryObject, removeFromGroup, selectDeferredResolutionEntries, unregisterFreedDirectoryObject, updateAclDiscovererTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieAccessControlListIndexService

    protected TieAccessControlListIndexService(S_LibraryService service)
                                        throws IfsException

  Constructs a TieAccessControlListIndexService.

  Parameters:
    `service` - the requesting library service
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD